Package org.apache.torque.generator.configuration

# Class ConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.torque.generator.GeneratorException
org.apache.torque.generator.configuration.ConfigurationException

All Implemented Interfaces:
  `Serializable`

public class ConfigurationException extends GeneratorException
This exception is thrown if the Torque generator cannot access its configuration or if an error occurs accessing the configuration.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationException()`
  Constructs a ConfigurationException without error message.
  `ConfigurationException(String message)`
  Constructs a ConfigurationException with the given error message.
  `ConfigurationException(String message, Throwable cause)`
  Constructs a ConfigurationException which wraps another exception, and which has its own error message.
  `ConfigurationException(Throwable cause)`
  Constructs a ConfigurationException which wraps another exception.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationException

    public ConfigurationException()
    Constructs a ConfigurationException without error message.
    See Also:
      - `Exception()`

  - ### ConfigurationException

    public ConfigurationException(String message)
    Constructs a ConfigurationException with the given error message.
    Parameters:
      `message` - the error message
    See Also:
      - `Exception(java.lang.String)`

  - ### ConfigurationException

    public ConfigurationException(Throwable cause)
    Constructs a ConfigurationException which wraps another exception.
    Parameters:
      `cause` - The initial exception which was caught.
    See Also:
      - `Exception(java.lang.Throwable)`

  - ### ConfigurationException

    public ConfigurationException(String message, Throwable cause)
    Constructs a ConfigurationException which wraps another exception, and which has its own error message.
    Parameters:
      `message` - The error message.
      `cause` - The exception to wrap.
    See Also:
      - `Exception(java.lang.String, java.lang.Throwable)`